2019-05-26 22:52 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002055NetSurf[All Projects] Generalpublic2015-03-10 10:41
ReporterJohn-Mark Bell 
Assigned ToJohn-Mark Bell 
SeveritycrashReproducibilitysometimes 
StatusclosedResolutionfixed 
PlatformRisc PCOSRISC OSOS Version4.02
Product Version3.0 
Target Version3.1Fixed in Version3.1 
Summary0002055: ares_cancel() does not cope with resolver jobs being cancelled within a callback
DescriptionIf ares is being used to resolve a number of hostnames and one (or more) of the lookup requests is cancelled from within a resolver job's callback, an assertion within ares will be fired, causing NetSurf to exit abnormally.
Steps To ReproduceNot known.
Additional InformationOriginally reported as part of 2048.
TagsNo tags attached.
Fixed in CI build #1631
Reported in CI build #1461
URL of problem page
Attached Files
  • ? file icon NS_log (4,824 bytes) 2014-01-08 21:52 -
    ? file icon NS_log (4,824 bytes) 2014-01-08 21:52 +

-Relationships
child of 0002048closedSteve Fryatt Inexplicably NetSurf will say it has a problem and must exit. 
+Relationships

-Notes
John-Mark Bell

~0000160

John-Mark Bell (administrator)

This looks to have been fixed upstream in c-ares 1.10.0. We should upgrade the c-ares version in the SDK.

I'm going to use this bug as a catch-all for all the library upgrades we need to do before 3.1 is released.
John-Mark Bell

~0000165

John-Mark Bell (administrator)

The SDK has been updated to use the latest version of all 3rd-party libraries.
Vincent Sanders

~0000671

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2014-01-08 22:24 John-Mark Bell New Issue
2014-01-08 22:24 John-Mark Bell Status new => assigned
2014-01-08 22:24 John-Mark Bell Assigned To => John-Mark Bell
2014-01-08 22:24 John-Mark Bell Issue generated from: 0002048
2014-01-08 22:25 John-Mark Bell Note Added: 0000160
2014-01-08 22:26 John-Mark Bell File Deleted: NetSLog
2014-01-08 22:26 John-Mark Bell Additional Information Updated View Revisions
2014-01-19 23:00 John-Mark Bell Fixed in CI build # => 1631
2014-01-19 23:00 John-Mark Bell Note Added: 0000165
2014-01-19 23:00 John-Mark Bell Status assigned => resolved
2014-01-19 23:00 John-Mark Bell Resolution open => fixed
2014-01-19 23:00 John-Mark Bell Fixed in Version => 3.1
2014-01-24 15:26 Vincent Sanders Relationship added child of 0002048
2015-03-10 10:41 Vincent Sanders Note Added: 0000671
2015-03-10 10:41 Vincent Sanders Status resolved => closed
+Issue History